/* include/autoconf.h.  Generated automatically by configure.  */
/*
 *  Project   : tin - a Usenet reader
 *  Module    : autoconf.hin
 *  Author    : Thomas Dickey <dickey@clark.net>
 *  Created   : 1995-08-24
 *  Updated   : 1998-04-21
 *  Notes     : #include files, #defines & struct's
 *  Copyright : (c) Copyright 1996-99 by Thomas Dickey
 *              You may  freely  copy or  redistribute  this software,
 *              so  long as there is no profit made from its use, sale
 *              trade or  reproduction.  You may not change this copy-
 *              right notice, and it must be included in any copy made
 */

#ifndef	TIN_AUTOCONF_H
#	define TIN_AUTOCONF_H
#endif /* !TIN_AUTOCONF_H */

#define	SYSTEM_NAME "darwin1.3"

/*
 * If we're able to run the 'configure' script, it's close enough to UNIX for
 * our purposes. (It's predefined on SCO).
 */
#ifndef	M_UNIX
#	define M_UNIX
#endif /* !M_UNIX */

/*
 * SCO requires special handling
 */
/* #undef	NEED_TIMEVAL_FIX */
/* #undef	NEED_PTEM_H */

/*
 * These are set as configure options, some must be guarded by ifdefs because
 * they're also used in makefile rules (e.g., lint, proto).
 */
/* #undef	HAVE_MH_MAIL_HANDLING */
#define	NNTP_ABLE 1
/* #undef	NNTP_ONLY */

#ifndef HAVE_COLOR
#	define	HAVE_COLOR 1
#endif /* !HAVE_COLOR */

#define	DEFAULT_ISO2ASC "-1"
/* #undef	DOMAIN_NAME */
/* #undef	HAVE_FASCIST_NEWSADMIN */
/* #undef	HAVE_MMDF_MAILER */
/* #undef	INEWSDIR */
#define	INN_NNTPLIB ""
/* #undef	LOCAL_CHARSET */
/* #undef	MIME_BREAK_LONG_LINES */
#define	MIME_STRICT_CHARSET 1
#define	MM_CHARSET "US-ASCII"
#define	NEWSLIBDIR "/usr/lib/news"
#define	NNTP_DEFAULT_SERVER "news"
#define	NOVROOTDIR "/var/spool/news"
/* #undef	NO_ETIQUETTE */
/* #undef	NO_LOCALE */
/* #undef	NO_POSTING */
/* #undef	NO_SHELL_ESCAPE */
#define	OVERVIEW_FILE ".overview"
/* #undef	SOCKS */
#define	SPOOLDIR "/var/spool/news"
/* #undef	USE_INN_NNTPLIB */
/* #undef	USE_INVERSE_HACK */
/* #undef	USE_SOCKS4_PREFIX */
/* #undef	USE_SOCKS5 */

/*
 * These are defined if the corresponding program is found during configuration
 */
/* #undef	HAVE_ISPELL */
/* #undef	HAVE_METAMAIL */
/* #undef	HAVE_PGP */
/* #undef	HAVE_PGP_5 */
#define	HAVE_SUM 1

/*
 * Compiler characteristics
 */
/* #undef	inline */
/* #undef	const */
#define	HAVE_NESTED_PARAMS 1

/*
 * Data types
 */
/* #undef	gid_t */
/* #undef	mode_t */
/* #undef	off_t */
/* #undef	pid_t */
/* #undef	size_t */
/* #undef	time_t */
/* #undef	uid_t */
#define	RETSIGTYPE void

/*
 * The following xxx_H definitions are set by the 'configure' script to
 * defined or commented-out, according to whether the corresponding header
 * file was detected during configuration.
 */
/* #undef	HAVE_ALLOCA_H */
#define	HAVE_ARPA_INET_H 1
#define	HAVE_CURSES_H 1
#define	HAVE_DIRENT_H 1
#define	HAVE_ERRNO_H 1
#define	HAVE_FCNTL_H 1
/* #undef	HAVE_GETOPT_H */
/* #undef	HAVE_IOCTL_H */
#define	HAVE_LIBC_H 1
#define	HAVE_LOCALE_H 1
/* #undef	HAVE_MALLOC_H */
/* #undef	HAVE_NCURSES_H */		/* obsolete versions of ncurses */
#define	HAVE_NETDB_H 1
#define	HAVE_NETINET_IN_H 1
/* #undef	HAVE_NETLIB_H */
/* #undef	HAVE_NOMACROS_H */		/* ncurses 4.1 */
/* #undef	HAVE_POLL_H */
/* #undef	HAVE_PROTOTYPES_H */
#define	HAVE_PWD_H 1
#define	HAVE_SGTTY_H 1
#define	HAVE_STDDEF_H 1
#define	HAVE_STDLIB_H 1
#define	HAVE_STRINGS_H 1
#define	HAVE_STRING_H 1
/* #undef	HAVE_STROPTS_H */
/* #undef	HAVE_SYS_BSDTYPES_H */
/* #undef	HAVE_SYS_DIR_H */
#define	HAVE_SYS_IOCTL_H 1
/* #undef	HAVE_SYS_NDIR_H */
#define	HAVE_SYS_PARAM_H 1
/* #undef	HAVE_SYS_PTEM_H */
/* #undef	HAVE_SYS_PTY_H */
#define	HAVE_SYS_SELECT_H 1
#define	HAVE_SYS_SOCKET_H 1
/* #undef	HAVE_SYS_STREAM_H */
#define	HAVE_SYS_TIMEB_H 1
#define	HAVE_SYS_TIMES_H 1
#define	HAVE_SYS_TIME_H 1
#define	HAVE_SYS_UTSNAME_H 1
#define	HAVE_SYS_WAIT_H 1
/* #undef	HAVE_TERMCAP_H */
#define	HAVE_TERMIOS_H 1
/* #undef	HAVE_TERMIO_H */
#define	HAVE_TERM_H 1
#define	HAVE_TIME_H 1
#define	HAVE_UNISTD_H 1
#define	STDC_HEADERS 1
#define	TIME_WITH_SYS_TIME 1

/*
 * The following are defined by the configure script if the corresponding
 * function is found in a library.
 */
#define	HAVE_ATOI 1
#define	HAVE_ATOL 1
#define	HAVE_FDOPEN 1
#define	HAVE_FORK 1
/* #undef	HAVE_FTIME */
#define	HAVE_GAI_STRERROR 1
#define	HAVE_GETCWD 1
#define	HAVE_GETADDRINFO 1
#define	HAVE_GETHOSTBYNAME 1
#define	HAVE_GETSERVBYNAME 1
#define	HAVE_INET_ATON 1
/* #undef	HAVE_IS_XTERM */
#define	HAVE_ISASCII 1
#define	HAVE_LINK 1
#define	HAVE_MEMCMP 1
#define	HAVE_MEMCPY 1
#define	HAVE_MEMSET 1
#define	HAVE_MKDIR 1
#define	HAVE_MKSTEMP 1
#define	HAVE_MKTEMP 1
/* #undef	HAVE_POLL */
#define	HAVE_PUTENV 1
/* #undef	HAVE_RESIZETERM */
#define	HAVE_REWINDDIR 1
#define	HAVE_SELECT 1
#define	HAVE_SETEGID 1
#define	HAVE_SETEUID 1
#define	HAVE_SETGID 1
#define	HAVE_SETLOCALE 1
#define	HAVE_SETPGRP 1
#define	HAVE_SETREGID 1
#define	HAVE_SETREUID 1
/* #undef	HAVE_SETTZ */
#define	HAVE_SETUID 1
#define	HAVE_STRCASECMP 1
#define	HAVE_STRCHR 1
#define	HAVE_STRERROR 1
#define	HAVE_STRFTIME 1
#define	HAVE_STRNCASECMP 1
#define	HAVE_STRPBRK 1
#define	HAVE_STRSTR 1
#define	HAVE_STRTOL 1
#define	HAVE_TCGETATTR 1
#define	HAVE_TCSETATTR 1
#define	HAVE_TEMPNAM 1
#define	HAVE_TMPNAM 1
#define	HAVE_TZSET 1
#define	HAVE_UNAME 1
#define	HAVE_UNLINK 1
/* #undef	HAVE_USE_DEFAULT_COLORS */
#define	HAVE_USLEEP 1

/*
 * The following are functions/data that we'll have to declare if they're not
 * declared in the system include files, since they return values other than
 * int.
 */
#define	DECL_ERRNO 1
/* #undef	DECL_GETENV */
/* #undef	DECL_GETHOSTBYNAME */
/* #undef	DECL_GETLOGIN */
/* #undef	DECL_GETPWNAM */
/* #undef	DECL_GETSERVBYNAME */
/* #undef	DECL_POPEN */
/* #undef	DECL_SYS_ERRLIST */
#define	DECL_TGETSTR 1
#define	DECL_TGOTO 1

/*
 * The following are functions that we'll optionally prototype (to stifle
 * warnings, etc., for development/testing).
 */
/* #undef	DECL_ATOI */
/* #undef	DECL_ATOL */
/* #undef	DECL_BCOPY */
/* #undef	DECL_BZERO */
/* #undef	DECL_CALLOC */
/* #undef	DECL_CONNECT */
/* #undef	DECL_FCLOSE */
/* #undef	DECL_FDOPEN */
/* #undef	DECL_FFLUSH */
/* #undef	DECL_FGETC */
/* #undef	DECL_FILENO */
/* #undef	DECL_FPRINTF */
/* #undef	DECL_FPUTC */
/* #undef	DECL_FPUTS */
/* #undef	DECL_FREAD */
/* #undef	DECL_FREE */
/* #undef	DECL_FSEEK */
/* #undef	DECL_FWRITE */
/* #undef	DECL_GETCWD */
/* #undef	DECL_GETHOSTNAME */
/* #undef	DECL_GETOPT */
/* #undef	DECL_GETPASS */
/* #undef	DECL_INET_ADDR */
/* #undef	DECL_INET_NTOA */
/* #undef	DECL_IOCTL */
/* #undef	DECL_ISASCII */
/* #undef	DECL_MALLOC */
/* #undef	DECL_MEMSET */
/* #undef	DECL_MKSTEMP */
/* #undef	DECL_MKTEMP */
/* #undef	DECL_PCLOSE */
/* #undef	DECL_PERROR */
/* #undef	DECL_PRINTF */
/* #undef	DECL_PUTENV */
/* #undef	DECL_QSORT */
/* #undef	DECL_REALLOC */
/* #undef	DECL_RENAME */
/* #undef	DECL_REWIND */
/* #undef	DECL_SELECT */
/* #undef	DECL_SETEGID */
/* #undef	DECL_SETENV */
/* #undef	DECL_SETEUID */
/* #undef	DECL_SETPGRP */
/* #undef	DECL_SETREGID */
/* #undef	DECL_SETREUID */
/* #undef	DECL_SOCKET */
/* #undef	DECL_SSCANF */
/* #undef	DECL_STRCASECMP */
/* #undef	DECL_STRCHR */
/* #undef	DECL_STRFTIME */
/* #undef	DECL_STRNCASECMP */
/* #undef	DECL_STRTOL */
/* #undef	DECL_SYSTEM */
/* #undef	DECL_TEMPNAM */
/* #undef	DECL_TGETENT */
/* #undef	DECL_TGETFLAG */
/* #undef	DECL_TGETNUM */
/* #undef	DECL_TIGETNUM */
/* #undef	DECL_TIME */
/* #undef	DECL_TOLOWER */
/* #undef	DECL_TOUPPER */
/* #undef	DECL_TPUTS */
/* #undef	DECL_UNGETC */
/* #undef	DECL_USLEEP */
/* #undef	DECL_VSPRINTF */
/* #undef	DECL__FLSBUF */

#define	HAVE_POSIX_JC 1
/* #undef	HAVE_SELECT_INTP */
/* #undef	HAVE_TYPE_SIGACTION */
/* #undef	HAVE_TYPE_UNIONWAIT */

/*
 * Define a symbol to control whether we use curses, or the termcap/terminfo
 * interface
 */
/* #undef	USE_CURSES */
/* #undef	USE_TRACE */
/* #undef	NEED_CURSES_H */

/*
 * Define symbols to prototype the function 'outchar()'
 */
/* #undef	USE_TERMINFO */
#define	OUTC_RETURN 1
/* #undef	OUTC_ARGS */

/*
 * Define a symbol for the prototype arguments of a signal handler
 */
#define	SIG_ARGS int sig

/*
 * define if setpgrp() takes no arguments
 */
/* #undef	SETPGRP_VOID */

/*
 * Define this if it's safe to redefine the signal constants with prototypes.
 */
#define	DECL_SIG_CONST 1


/* FIXME: remove absolut-paths! */
/*
 * Program-paths (i.e., the invocation-path)
 */
#define	DEFAULT_EDITOR "/usr/bin/vi"
#define	DEFAULT_MAILBOX "/var/mail"
#define	DEFAULT_MAILER "/usr/sbin/sendmail"
/* #undef	PATH_ISPELL */
/* #undef	PATH_METAMAIL */
#define	PATH_SUM "/usr/bin/sum"

/*
 * Configure also checks whether sum takes -r
 * And defines PATH_SUM_R appropriately
 */
/* #undef	SUM_TAKES_DASH_R */
#define	PATH_SUM_R "/usr/bin/sum"

/*
 * Define this if the host system has long (>14 character) filenames
 */
#define	HAVE_LONG_FILE_NAMES 1

/*
 * Define this if the compiler performs ANSI-style token substitution (used in
 * our 'assert' macro).
 */
#define	CPP_DOES_EXPAND 1
/*
 * Define this if the compiler performs ANSI-style token concatenation (used in
 * our 'tincfg.h' macros).
 */
#define	CPP_DOES_CONCAT 1

/*
 * One of the following two is defined, according to whether qsort's compare
 * function is ANSI (declared with 'void *' parameters) or not.
 */
#define	HAVE_COMPTYPE_VOID 1
/* #undef	HAVE_COMPTYPE_CHAR */

/*
 * Define this to enable interpretation of 8-bit keycodes (e.g., beginning
 * with 0x9b).
 */
#define	HAVE_KEY_PREFIX 1

/*
 * Define this if an application can dump core.  Some systems (e.g., apollo)
 * don't at all.  Others may not, depending on how they're configured.
 */
/* #undef	HAVE_COREFILE */

/*
 * Define if the system has any of the pairs setuid/setgid, seteuid/setegid or
 * setreuid/setregid.
 */
#define	HAVE_SET_GID_UID 1

/*
 * Define if the system doesn't define SIGWINCH, or the associated structs
 * to determine the window's size.
 */
/* #undef	DONT_HAVE_SIGWINCH */

/*
 * Definitions for debugging-malloc libraries
 */
#ifndef __BUILD__
/* #	undef	USE_DBMALLOC */	/* use Conor Cahill's dbmalloc library */
/* #	undef	USE_DMALLOC */	/* use Gray Watson's dmalloc library */
#endif /* !__BUILD__ */

/*
 * Define if the system doesn't support pipes, or if it is not a desired
 * feature.
 */
/* #undef	DONT_HAVE_PIPING */

/*
 * Define if the system doesn't support printing, or if it is not a
 * desired feature.
 */
/* #undef	DISABLE_PRINTING */

/*
 * Used in parsedate.y
 */
/* #undef	DONT_HAVE_TM_GMTOFF */

#if defined(__hpux)
#	define HAVE_KEYPAD
#endif /* __hpux */

/*
 * Not all platforms have either strerror or sys_errlist[].
 */
#define	HAVE_SYS_ERRLIST 1

#if 0 /* FIXME: test-not-impl */
#	if defined(supermax)
#		define HAVE_BROKEN_TGETSTR
#	endif /* supermax */
#endif /* 0 */

/* #undef	USE_SYSTEM_STATUS */

/*
 * Use this if you want pid attached to the end of .article filename
 */
#define	APPEND_PID 1

/*
 * allow fallback to XHDR XREF if XOVER isn't supported?
 */
#define	XHDR_XREF 1

/*
 * The directory, where tin looks first for its tin.defaults file
 * can be left empty, tin searches for some standard places
 * XXXXX please define surrounded with double quotes! XXXXX
 */
#define	TIN_DEFAULTS_DIR "/etc/tin"

/*
 * define if second and thrid argument of setvbuf() are swaped
 * (System V before Release 3)
 */
/* #undef	SETVBUF_REVERSED */

/*
 * define if closedir() does not return a status
 */
/* #undef	CLOSEDIR_VIOD */

/*
 * define if your NNTP server needs an extra GROUP command before
 * accepting a LISTGROUP command.
 * (old versions of leafnode and NNTPcache need this)
 */
/* #undef	BROKEN_LISTGROUP */

/* #undef	HAVE_COFFEE */

/*
 * libuu - used in save.c
 */
/* #undef	HAVE_UUDEVIEW_H */
/* #undef	HAVE_LIBUU */

/*
 * Some older socks libraries, especially AIX need special definitions
 */
#if defined(_AIX) && !defined(USE_SOCKS5)
/* #	undef	accept */
/* #	undef	bind */
/* #	undef	connect */
/* #	undef	getpeername */
/* #	undef	getsockname */
/* #	undef	listen */
/* #	undef	recvfrom */
/* #	undef	select */
#endif /* _AIX && !USE_SOCKS5 */
